PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List forms GETCreate a form POSTGenerate a form definition POSTGet a form GETUpdate a form PATCHDelete a form DELETEList submissions for a form GETSubmit a form as a member POSTGet a form submission GETUpdate a form submission PATCHDelete a form submission DELETE
Forms

Delete a form submission

Stored answers are removed. The contact and opportunity stay.

DELETE
/form-submissions/{submissionId}

Stored answers are removed. The contact and opportunity stay.

Authorization

x-api-key<token>

In: header

Path Parameters

submissionId*string

Response Body

application/json

curl -X DELETE "https://example.com/form-submissions/string"
{  "data": {    "id": "string",    "formId": "string",    "source": "HOST",    "fields": {},    "status": "NEW",    "contactId": "string",    "customerId": "string",    "opportunityId": "string",    "createdAt": "2019-08-24T14:15:22Z"  }}

Update a form submission PATCH

Patch stored answers, status, or CRM links. Merged answers are validated against the form definition. Does not re-run form.submitted side effects. Pass null on a link id to unlink. Contact and opportunity records stay.

List pipelines GET

Next Page